<?php

// Version: 1.1; Settings



function template_options()

{

	global $context, $settings, $options, $scripturl, $txt;

$block['id'] = 'set';

	$context['theme_options'] = array(

		array(

			'id' => 'show_board_desc',

			'label' => $txt[732],

			'default' => true,

		),

		array(

			'id' => 'show_children',

			'label' => $txt['show_children'],

			'default' => true,

		),

		array(

			'id' => 'show_no_avatars',

			'label' => $txt['show_no_avatars'],

			'default' => true,

		),

		array(

			'id' => 'show_no_signatures',

			'label' => $txt['show_no_signatures'],

			'default' => true,

		),

		array(

			'id' => 'show_no_censored',

			'label' => $txt['show_no_censored'],

			'default' => true,

		),

		array(

			'id' => 'return_to_post',

			'label' => $txt['return_to_post'],

			'default' => true,

		),

		array(

			'id' => 'no_new_reply_warning',

			'label' => $txt['no_new_reply_warning'],

			'default' => true,

		),

		array(

			'id' => 'view_newest_first',

			'label' => $txt['recent_posts_at_top'],

			'default' => true,

		),

		array(

			'id' => 'view_newest_pm_first',

			'label' => $txt['recent_pms_at_top'],

			'default' => true,

		),

		array(

			'id' => 'popup_messages',

			'label' => $txt['popup_messages'],

			'default' => true,

		),

		array(

			'id' => 'copy_to_outbox',

			'label' => $txt['copy_to_outbox'],

			'default' => true,

		),

		array(

			'id' => 'auto_notify',

			'label' => $txt['auto_notify'],

			'default' => true,

		),

		array(

			'id' => 'calendar_start_day',

			'label' => $txt['calendar_start_day'],

			'options' => array(

				0 => $txt['days'][0],

				1 => $txt['days'][1],

				6 => $txt['days'][6],

			),

			'default' => true,

		),

		array(

			'id' => 'display_quick_reply',

			'label' => $txt['display_quick_reply'],

			'options' => array(

				0 => $txt['display_quick_reply1'],

				1 => $txt['display_quick_reply2'],

				2 => $txt['display_quick_reply3']

			),

			'default' => true,

		),

		array(

			'id' => 'display_quick_mod',

			'label' => $txt['display_quick_mod'],

			'options' => array(

				0 => $txt['display_quick_mod_none'],

				1 => $txt['display_quick_mod_check'],

				2 => $txt['display_quick_mod_image'],

			),

			'default' => true,

		),

	);

}



function template_settings()

{

	global $context, $settings, $options, $scripturl, $txt;



	$context['theme_settings'] = array(

		

		array(

			'id' => 'use_tp',

			'label' => 'Support for <a href="http://www.tinyportal.net/index.php?action=tpmod;dl=cat5" target="_blank">TinyPortal 0.9.8</a> mod?',

		),

		array(

			'id' => 'bottom_left',

			'label' => 'If TP installed and enabled use Top Downloads in bottom left block?',

			'description' => 'Recent Posts will be shown otherwise.',

		),

		array(

			'id' => 'use_arcade',

			'label' => 'Support for <a href="http://www.smfarcade.info/" target="_blank">SMF Arcade 2.0.9</a> mod? Modified <a href="http://www.ericsworld.eu/f2/" target="_blank">Versions of Arcade</a>',

		),

		array(

			'id' => 'use_felblog',

			'label' => 'Support for <a href="http://feline-networks.com/index.php?page=8" target="_blank">Fel\'s Blog</a> mod(FelBlog for SMF, Version: 0.940)? {9.2alpha not supported}',

		),

		array(

			'id' => 'felblog_info',

			'label' => 'If enabled, show Blog stats on Board Index.',

		),

		array(

			'id' => 'use_books',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=350" target="_blank">SMF Bookmarks</a> mod?',

		),

		array(

			'id' => 'user_mail',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=371" target="_blank">SMF User Email System</a> mod?',

		),

		array(

			'id' => 'use_contacts',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=377" target="_blank">SMF Contact Page</a> mod?',

		),

		array(

			'id' => 'membergroup_colors',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=207" target="_blank">MemberGroup Color Legend</a> Mod?',

		),

		array(

			'id' => 'use_donate',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=273" target="_blank">PayPal Donations</a> mod?',

		),

		array(

			'id' => 'use_shoutbox',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=22" target="_blank">Ultimate Shoutbox 1.40</a> mod?',

		),

		

		array(

			'id' => 'use_ads',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=255" target="_blank">Ad Management 2.3</a> mod?',

		),

		array(

			'id' => 'userstoday',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=217" target="_blank">Users Online Today</a> mod?',

		),

		array(

			'id' => 'use_gb',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=143" target="_blank">Googlebots & Spiders 2.0.3</a> mod?',

		),

		array(

			'id' => 'use_ga',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=419" target="_blank">Global Announcements 1.0</a> mod?',

		),

		array(

			'id' => 'use_shop',

			'label' => 'Support for <a href="http://custom.simplemachines.org/mods/index.php?mod=65" target="_blank">SMF Shop 3.0</a> mod?',

		),

		array(

			'id' => 'use_smflinks',

			'label' => 'Support for <a href="http://www.smfhacks.com/hacks/SMF-Links.html" target="_blank">SMF Links</a> mod?',

		),

		array(

			'id' => 'use_smfstaff',

			'label' => 'Support for <a href="http://www.smfhacks.com/hacks/SMF-Staff-Page.html" target="_blank">SMF Staff</a> mod?',

		),

		array(

			'id' => 'use_viswarn',

			'label' => 'Support for <a href="http://www.smfhacks.com/hacks/Visual-Warning-Mod.html" target="_blank">Visual Warning</a> mod?<br /><br /><div class="titlebg" style="padding-top: 5px; padding-left: 15px;height: 20px;"><img src="'. $settings['images_url']. '/cash-register.gif" alt="" align="top" height="20" /> Store Mod installed?</div><br />',

		),

		array(

			'id' => 'use_smfstore',

			'label' => 'Support for <a href="http://www.smfhacks.com/smf-store.php" target="_blank">SMF Store</a> mod?',

		),

		array(

			'id' => 'display_which_items',

			'label' => 'What Store Items Do you want to show?',

			'options' => array(

				0 => $txt['store_main_recent'],

				1 => $txt['store_main_viewed'],

				2 => $txt['store_main_mostcomments'],

				3 => $txt['store_main_toprated'],

			),

		),

		array(

			'id' => 'display_items_where',

			'label' => 'What Location do you wish them placed.',

			'options' => array(

				0 => 'Place Store Items Below News Fader and abover Forum Index',

				1 => 'Place Store Items in Info Center of Forum Index',

				

			),

		),

		array(

			'id' => 'number_items_to_show',

			'label' => 'How many Store Items do you want to show?',

			'description' => 'Set to zero to not show any.<br /><br /><div class="titlebg" style="padding-top: 5px; padding-left: 15px;height: 20px;"><img src="'. $settings['images_url']. '/images.gif" alt="" align="top" /> Gallery Mod installed?</div><br />',

			'type' => 'number',

			

		),

	

		array(

			'id' => 'use_smfgallery',

			'label' => 'Support for <a href="http://www.smfhacks.com/smf-gallery.php" target="_blank">SMF Gallery Lite 1.7.x mod or SMF Gallery Pro 1.3</a>?',

		),

		array(

			'id' => 'use_galpics',

			'label' => 'Support for <a href="http://www.smfhacks.com/index.php/topic,178.msg1086.html#msg1086" target="_blank">SMF Gallery Titles on Board Index</a> Add-on (titles)? Warning: Does not work on Lite version!',

		),

		array(

			'id' => 'use_galcoms',

			'label' => 'Support for <a href="http://www.smfhacks.com/index.php/topic,468.msg3114.html#msg3114" target="_blank">SMF Gallery Recent Comments Board Index</a> Add-on? Warning: Does not work on Lite version!',

		),

		array(

			'id' => 'use_postlink',

			'label' => 'Show user gallery link in posts? Warning: Does not work on Lite version!',

		),

		array(

			'id' => 'number_recent_pics',

			'label' => $txt['number_recent_pics'],

			'description' => $txt['number_recent_pics_desc'],

			'type' => 'number',

			

		),

		array(

			'id' => 'number_recent_comments',

			'label' => $txt['number_recent_comments'],

			'description' => $txt['number_recent_comments_desc'],

			'type' => 'number',

			

		),

		array(

			'id' => 'display_which_images',

			'label' => $txt['display_which_images'],

			'options' => array(

				0 => $txt['display_recent_images'],

				1 => $txt['display_top_images'],

				2 => $txt['display_viewed_images'],

				3 => $txt['display_most_commented_images'],

			),

		),

		array(

			'id' => 'display_images_where',

			'label' => 'What Location do you wish them placed.',

			'options' => array(

				0 => 'Place Gallery Images Below News Fader and abover Forum Index',

				1 => 'Place Gallery Images in Info Center of Forum Index',

				

			),

		),

		array(

			'id' => 'number_images_to_show',

			'label' => $txt['number_images_to_show'],

			'description' => ' Warning: Does not work on Lite version!',

			'type' => 'number',

			

		),

	

			array(

			'id' => 'image_maxwidth',

			'label' => $txt['image_maxwidth'],

			'description' => $txt['image_maxwidth_desc'],

			'type' => 'number',

			

		),

		array(

			'id' => 'image_maxheight',

			'label' => $txt['image_maxheight'],

			'description' => $txt['image_maxheight_desc'].'<br /><br /><div class="titlebg" style="padding-top: 5px; padding-left: 15px;height: 20px;"><img src="'. $settings['images_url']. '/post/xx.gif" alt="" align="top" /> Custom Pages by <a href="http://tinyportals.net" target="_blank">Bloc</a></div><br />',

			'type' => 'number',

			

		),

		array(

			'id' => 'use_custom_pages',

			'label' => 'Enable Custom Pages?',

		),

		array(

			'id' => 'custom_pages',

			'label' => 'Custom pages',

			'description' => 'use the form: file[.template],title,type where type can be 1.) page or 2.) link. Use "link" for a regualr link, "page" for a custom template file.<br /><br /><div class="titlebg" style="padding-top: 5px; padding-left: 15px;height: 20px;"><div style="width: 25px; float: left;vertical-align: top;"><img src="'. $settings['images_url']. '/bbc/flash.gif" alt="" align="bottom" /></div> Use Flash Menu?</div><br />',

			'type' => 'textarea',

			'empty' => 'homepage,News,page|about,Custom,page|http://www.tinyportalmedia.com,TPM,link',

		),

		

		array(

			'id' => 'flash_on',

			'label' => '<b><em>Flash Menu Addon for TP</em></b> - Use Flash Navigation Menu instead of standard TinyPortal Menubox - <b><font color=red>Default is Off</font></b>',

			'description' => 'Flash Menu takes headers and links directly from menubox settings, spaces are ignored, links all open in new window

			                   only the first 3 headers will be seen, and only the first 9 links under those headers will be seen, all else will be ignored.',

			'default' => false,

		),

		array(

			'id' => 'flash_on2',

			'label' => '<b><em>Flash Menu Addon for SMF alone</em></b> - Use Flash Navigation Menu Block on all pages left of index - <b><font color=red>Default is Off</font></b>',

			'description' => 'Flash Menu not used with TP is configurableable below.',

			'default' => false,

		),

		array(

			'id' => 'flash_title',

			'label' => 'Menu Box Title: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_cat1',

			'label' => 'Catagory #1: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_toptext1',

			'label' => 'Text #1: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_topurl1',

			'label' => 'Url #1: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_toptext2',

			'label' => 'Text #2: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_topurl2',

			'label' => 'Url #2: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_toptext3',

			'label' => 'Text #3: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_topurl3',

			'label' => 'Url #3: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_toptext4',

			'label' => 'Text #4: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_topurl4',

			'label' => 'Url #4: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_toptext5',

			'label' => 'Text #5: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_topurl5',

			'label' => 'Url #5: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_toptext6',

			'label' => 'Text #6: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_topurl6',

			'label' => 'Url #6: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_toptext7',

			'label' => 'Text #7: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_topur7',

			'label' => 'Url #7: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_toptext8',

			'label' => 'Text #8: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_topurl8',

			'label' => 'Url #8: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_toptext9',

			'label' => 'Text #9: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_topurl9',

			'label' => 'Url #9: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_cat2',

			'label' => 'Catagory #2: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middletext1',

			'label' => 'Text #1: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middleurl1',

			'label' => 'Url #1: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middletext2',

			'label' => 'Text #2: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middleurl2',

			'label' => 'Url #2: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middletext3',

			'label' => 'Text #3: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middleurl3',

			'label' => 'Url #3: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middletext4',

			'label' => 'Text #4: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middleurl4',

			'label' => 'Url #4: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middletext5',

			'label' => 'Text #5: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middleurl5',

			'label' => 'Url #5: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middletext6',

			'label' => 'Text #6: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middleurl6',

			'label' => 'Url #6: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middletext7',

			'label' => 'Text #7: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middleurl7',

			'label' => 'Url #7: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middletext8',

			'label' => 'Text #8: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middleurl8',

			'label' => 'Url #8: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middletext9',

			'label' => 'Text #9: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_middleurl9',

			'label' => 'Url #9: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_cat3',

			'label' => 'Catagory #3: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomtext1',

			'label' => 'Text #1: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomurl1',

			'label' => 'Url #1: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomtext2',

			'label' => 'Text #2: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomurl2',

			'label' => 'Url #2: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomtext3',

			'label' => 'Text #3: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomurl3',

			'label' => 'Url #3: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomtext4',

			'label' => 'Text #4: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomurl4',

			'label' => 'Url #4: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomtext5',

			'label' => 'Text #5: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomurl5',

			'label' => 'Url #5: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomtext6',

			'label' => 'Text #6: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomurl6',

			'label' => 'Url #6: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomtext7',

			'label' => 'Text #7: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomurl7',

			'label' => 'Url #7: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomtext8',

			'label' => 'Text #8: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomurl8',

			'label' => 'Url #8: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomtext9',

			'label' => 'Text #9: ',

			'description' => '',

			'type' => 'text',			

		),

		array(

			'id' => 'nav_bottomurl9',

			'label' => 'Url #9: ',

			'description' => '<br /><div class="titlebg" style="padding-top: 5px; padding-left: 15px;height: 20px;">

			<img src="'. $settings['images_url']. '/icons/config_sm.gif" alt="" align="top" />  Standard theme settings</div><br />',

			'type' => 'text',			

		),

		array(

			'id' => 'number_recent_posts',

			'label' => $txt['number_recent_posts'],

			'description' => $txt['number_recent_posts_desc'],

			'type' => 'number',

		),

		array(

			'id' => 'display_who_viewing',

			'label' => $txt['who_display_viewing'],

			'options' => array(

				0 => $txt['who_display_viewing_off'],

				1 => $txt['who_display_viewing_numbers'],

				2 => $txt['who_display_viewing_names'],

			),

		),

		array(

			'id' => 'smiley_sets_default',

			'label' => $txt['smileys_default_set_for_theme'],

			'options' => $context['smiley_sets'],

		),

		array(

			'id' => 'show_modify',

			'label' => $txt[383],

		),

		array(

			'id' => 'show_member_bar',

			'label' => $txt[510],

		),

		array(

			'id' => 'linktree_link',

			'label' => $txt[522],

		),

		array(

			'id' => 'show_profile_buttons',

			'label' => $txt[523],

		),

		array(

			'id' => 'show_mark_read',

			'label' => $txt[618],

		),

		array(

			'id' => 'linktree_inline',

			'label' => $txt['smf105'],

			'description' => $txt['smf106'],

		),

		array(

			'id' => 'show_sp1_info',

			'label' => $txt['smf200'],

		),

		array(

			'id' => 'allow_no_censored',

			'label' => $txt['allow_no_censored'],

		),

		array(

			'id' => 'show_bbc',

			'label' => $txt[740],

		),

		array(

			'id' => 'additional_options_collapsable',

			'label' => $txt['additional_options_collapsable'],

		),

		array(

			'id' => 'enable_news',

			'label' => $txt[379],

		),

		array(

			'id' => 'show_newsfader',

			'label' => $txt[387],

		),

		array(

			'id' => 'newsfader_time',

			'label' => $txt[739],

			'type' => 'number',

		),

		array(

			'id' => 'show_user_images',

			'label' => $txt[384],

		),

		array(

			'id' => 'show_blurb',

			'label' => $txt[385],

		),

		array(

			'id' => 'show_latest_member',

			'label' => $txt[382],

		),

		array(

			'id' => 'use_image_buttons',

			'label' => $txt[521],

		),

		array(

			'id' => 'show_gender',

			'label' => $txt[386],

		),

		array(

			'id' => 'hide_post_group',

			'label' => $txt['hide_post_group'],

			'description' => $txt['hide_post_group_desc'],

		),

	);

}



?>